#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull ghcr.io/linuxserver/calibre-web:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep CalibreWeb | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

if [ "$AS_NAS_ARCH" = "x86-64" ]; then

docker create -i -t --name=CalibreWeb \
	-p 38083:8083 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-e DOCKER_MODS=linuxserver/calibre-web:calibre \
	-e OAUTHLIB_RELAX_TOKEN_SCOPE=1 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Calibre/config:/config:rw \
    -v /share/Calibre/books:/books:rw \
	--restart unless-stopped \
	ghcr.io/linuxserver/calibre-web:latest
  
else

docker create -i -t --name=CalibreWeb \
	-p 38083:8083 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-e OAUTHLIB_RELAX_TOKEN_SCOPE=1 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Calibre/config:/config:rw \
    -v /share/Calibre/books:/books:rw \
	--restart unless-stopped \
	ghcr.io/linuxserver/calibre-web:latest
	
fi
  
docker start CalibreWeb
sleep 5


case "$APKG_PKG_STATUS" in
	install)
		if [ ! -e /share/Calibre/books/metadata.db ]; then
			echo "No default metadata.db, copy it."
			cp -af $APKG_PKG_DIR/books/* /share/Calibre/books/
		fi	
		;;
	upgrade)
		oldim=$(docker images | grep ghcr.io/linuxserver/calibre-web | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

# The followings can be removed from next release.
imold=$(docker images | grep linuxserver/calibre-web | grep latest | awk '{print $3}')
echo $imold
		
if [ ! -z $imold ]; then 
	docker rmi -f $imold
fi

exit 0
